Skip to content

Audit Log ​

8 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getAuditLogsForGlobalGETGet global audit log list
getAuditLogSettingForGlobalGETGet global audit log notification
modifyAuditLogSettingGlobalPATCHModify global audit log notification
exportAuditLogListForGlobalPOSTExport audit log list in global view
getAuditLogsForSiteGETGet site audit log list
getApSsidOverridesAuditLogsGETGet ap ssidoverride audit log list
getAuditLogSettingForMsp_1GETGet site audit log notification
modifyAuditLogSettingSite_1PATCHModify site audit log notification

getAuditLogsForGlobal ​

GET /openapi/v1/{omadacId}/audit-logs

Get global audit log list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
sorts.timequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.resultqueryintegernoFilter query parameters, support field result,it should be a value as follows: 0: successful; 1: failed,example:0
filters.levelquerystringnoFilter query parameters, support field level,it should be a value as follows: Error; Warning; Information, example:Error
filters.auditTypesquerystringnoFilter query parameters, support field auditTypes, for the values of auditLog type, refer to section 5.2.2 of the Open API Access Guide, example:Log,Cloud Access,User Interface.
filters.timesquerystringnoFilter query parameters, support field times, example:[{"timeStart":1678060800000,"timeEnd":1678665599999}](UrlEncode:%5B%7B%22timeStart%22%3A1678060800000%2C%22timeEnd%22%3A1678665599999%7D%5D).If this parameter is not specified (not included or empty array), the interface will query data within the default time period: [{"timeStart": Current timestamp minus milliseconds of 7 days,"timeEnd": Current timestamp}].
searchKeyquerystringnoFuzzy query parameters, support field content
json
// omada_call_operation
{
  "operationId": "getAuditLogsForGlobal"
}
Details, permissions and error codes

Get audit logs in global audit page.
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only

getAuditLogSettingForGlobal ​

GET /openapi/v1/{omadacId}/audit-notification

Get global audit log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getAuditLogSettingForGlobal"
}
Details, permissions and error codes

Get global audit log notification.
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only

modifyAuditLogSettingGlobal ​

PATCH /openapi/v1/{omadacId}/audit-notification

Modify global audit log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema AuditLogNotificationSettingEditOpenApiVO

FieldTypeRequiredDescription
webhookConfigWebhookConfigEditOpenApiVOyes(WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO")
auditLogNotificationsarray<AuditLogNotificationEditOpenApiVO>yesAudit Log Notification List
json
// omada_call_operation
{
  "operationId": "modifyAuditLogSettingGlobal",
  "body": "{...}"
}
Details, permissions and error codes

Modify global audit log notification.
The interface requires one of the permissions:
Global Log & Audit Log Manager Modify

exportAuditLogListForGlobal ​

POST /openapi/v1/{omadacId}/logs/audit/export

Export audit log list in global view

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ExportLogOpenApiVO

FieldTypeRequiredDescription
siteIdsarray<string>yesParameter [siteIds] indicates site IDs that need to export log results.
formatintegeryesParameter [format] indicates the type of the exported file. 0: CSV, 1: xlsx.
json
// omada_call_operation
{
  "operationId": "exportAuditLogListForGlobal",
  "body": "{...}"
}
Details, permissions and error codes

Export audit log list in global view.
The interface requires one of the permissions:
Global Export Data Access

getAuditLogsForSite ​

GET /openapi/v1/{omadacId}/sites/{siteId}/audit-logs

Get site audit log list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
sorts.timequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.resultqueryintegernoFilter query parameters, support field result,it should be a value as follows: 0: successful; 1: failed,example:0
filters.levelquerystringnoFilter query parameters, support field level,it should be a value as follows: Error; Warning; Information, example:Error
filters.auditTypesquerystringnoFilter query parameters, support field auditTypes, for the values of auditLog type, refer to section 5.2.2 of the Open API Access Guide, example:Log,Cloud Access,User Interface.
filters.timesquerystringnoFilter query parameters, support field times, example:[{"timeStart":1678060800000,"timeEnd":1678665599999}](UrlEncode:%5B%7B%22timeStart%22%3A1678060800000%2C%22timeEnd%22%3A1678665599999%7D%5D).If this parameter is not specified (not included or empty array), the interface will query data within the default time period: [{"timeStart": Current timestamp minus milliseconds of 7 days,"timeEnd": Current timestamp}].
searchKeyquerystringnoFuzzy query parameters, support field content
json
// omada_call_operation
{
  "operationId": "getAuditLogsForSite",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get audit logs in site audit page.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only

getApSsidOverridesAuditLogs ​

GET /openapi/v1/{omadacId}/sites/{siteId}/audit-logs/{apMac}/ssid-overrides

Get ap ssidoverride audit log list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
sorts.timequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.timesquerystringnoFilter query parameters, support field times, example:[{"timeStart":1678060800000,"timeEnd":1678665599999}](UrlEncode:%5B%7B%22timeStart%22%3A1678060800000%2C%22timeEnd%22%3A1678665599999%7D%5D).If this parameter is not specified (not included or empty array), the interface will query data within the default time period: [{"timeStart": Current timestamp minus milliseconds of 7 days,"timeEnd": Current timestamp}].
json
// omada_call_operation
{
  "operationId": "getApSsidOverridesAuditLogs",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get ap ssidoverride audit logs in site audit page.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only

getAuditLogSettingForMsp_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/site/audit-notification

Get site audit log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getAuditLogSettingForMsp_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site audit log notification.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only

modifyAuditLogSettingSite_1 ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/site/audit-notification

Modify site audit log notification

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema AuditLogNotificationSettingEditOpenApiVO

FieldTypeRequiredDescription
webhookConfigWebhookConfigEditOpenApiVOyes(WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO")
auditLogNotificationsarray<AuditLogNotificationEditOpenApiVO>yesAudit Log Notification List
json
// omada_call_operation
{
  "operationId": "modifyAuditLogSettingSite_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site audit log notification.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.